Productsup
API referenceV1Export template

Create an export template

An export template is a resource that holds the main information of a template for creating channels. This is the main resource which is linked to all other sub-resources that comprise the full channel template. After an export template has been created, all other sub-resources can be linked to it to create an entire channel template. This endpoint allows the creation of an export template.

POST
/V1/export-templates

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Header Parameters

X-Channel-Template-Context?string

Name of channel template context to process request against.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string

Name of the export. A non-unique value that can be up to 100 characters.

Response Body

application/json

application/json

application/json

curl -X POST "https://export-template-api.productsup.com/V1/export-templates" \  -H "Content-Type: application/json" \  -d '{    "name": "My cool export"  }'
{
  "data": {
    "id": 58652,
    "name": "Facebook Dynamic Ads",
    "encoding": "string",
    "global": false,
    "pseudo": false,
    "allowXml": true,
    "validDelimiter": "TAB,COMMA,PIPE",
    "roiOptions": "PAUSE",
    "accountId": 0,
    "projectId": 0,
    "siteId": 0,
    "logoUrl": "https://www.images.com/img.png",
    "createDelta": false,
    "deltaKeyUnique": false,
    "deltaNewFilename": "newFile.csv",
    "deltaChangedFilename": "changedFile.csv",
    "deltaDeletedFilename": "deletedFile.csv",
    "deltaUnchangedFilename": "unchangedFile.csv",
    "deltaSkippedFilename": "skippedFile.csv",
    "deltaSingleFile": false,
    "customClassName": "Blank",
    "defaultFilename": "facebookfeed.tsv",
    "exportMarketing": {
      "id": 22059,
      "type": 0,
      "publish": true,
      "marketingTitle": "string",
      "websiteLink": "string",
      "landingPageLink": "string",
      "featured": true,
      "products": [
        "string"
      ],
      "description": "string",
      "priority": 0,
      "helpLink": "string",
      "exportCategoryIds": [
        "19"
      ],
      "exportCountryIds": [
        "string"
      ],
      "exportBrand": {
        "id": 0,
        "name": "string"
      }
    },
    "fields": [
      null
    ],
    "tags": [
      null
    ],
    "customFormFields": [
      null
    ],
    "owner": {
      "ownerId": "01980f10-5b04-7845-b0d5-66861c6cabb0"
    },
    "exportType": {
      "type": "standard",
      "mainExportId": 0
    },
    "context": [
      null
    ],
    "createdAt": "2025-07-15T17:09:51+00:00",
    "updatedAt": "2025-07-15T17:09:51+00:00",
    "unpublishedChanges": true
  }
}
{
  "errors": {
    "message": "Request validation has encountered constraint violations.",
    "errors": {
      "name": [
        "This value should not be blank."
      ]
    }
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}

How is this guide?